<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_POST['lote']!='') {
	if ($_POST['cantidad']>0) $_SESSION['entradaDetalle'][]=array('lote'=>$_POST['lote'],'cantidad'=>$_POST['cantidad']);
	else {
		$temp=array();
		foreach($_SESSION['entradaDetalle'] as $detalle) if($detalle['lote']!=$_POST['lote']) $temp[]=$detalle;
		$_SESSION['entradaDetalle']=$temp;
	}
}
else $_SESSION['entradaDetalle']=array();

if(count($_SESSION['entradaDetalle'])>0) {

	$suma=0;
	
	?>
    <p>Detalle de la recepción:</p>
    <table class="tablaFormateada" style="margin-bottom:20px">
    	<tr><th>Lote</th><th>Cantidad</th><th></th></tr>
        <?php
        foreach($_SESSION['entradaDetalle'] as $detalle) {
			?>
            <tr><td><?php echo $detalle['lote']; ?></td><td><?php echo $detalle['cantidad']; ?></td><td><img class="borrarDetalle clicable" lote="<?php echo $detalle['lote']; ?>" src="<?php echo DIR_IMAGENES; ?>/x.png" width="50" height="50"/></td>
            </tr>
            <?php
        	$suma=$suma+$detalle['cantidad'];
		} 
		?>
        <tr><td>Total:</td><td><strong><?php echo $suma; ?></strong></td><td></td></tr>
    </table>
    <?php
}

?>
<script>

$(document).ready(function() {

	var suma=<?php echo $suma; ?>;
	$('#sumaDetalle').val(suma);
	if( suma==$('#cantidad').val() ) $('#cantidadOk').show();
	else $('#cantidadOk').hide();
	
	$('.borrarDetalle').on("click",function(){
	
		$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-gestionar-detalle.php", { 'lote' : $(this).attr('lote') , 'cantidad' : 0  })
			.done(function(data) {
				$('#detalleRecepcion').html(data);
				$('#lote').val('');
				$('#cantidadDetalle').val('');
			});
	
	});

});

</script>